/*************************************************************************
 *
 *   Used with ICCARM and AARM.
 *
 *    (c) Copyright IAR Systems 2009
 *
 *    File name   : suart_cfg.h
 *    Description : software uart for LPC29xx config file
 *
 *    History :
 *    1. Date        : 25.11.2009
 *       Author      : Stoyan Choynev
 *       Description : initial revision
 *
 *    $Revision: 1.0 $
 **************************************************************************/
#ifndef __SUART_CFG_H
#define __SUART_CFG_H
/** include files **/
/** definitions **/
#define SUART_BAUD_RATE 19200

#define TX_TIMER_CLK  80000000L
#define TX_TIMER  TMR1_BASE_ADDR
#define SUART_TX_INT    TIMER1_INT

#define RX_TIMER_CLK  80000000L
#define RX_TIMER  TMR2_BASE_ADDR
#define SUART_RX_INT    TIMER2_INT

/*Rx and Tx pin definitions*/
#define SUTX_PORT GPIO3_BASE_ADDR
#define SUTX_MASK (1<<6)
#define SUTX_SFSP SFSP3_6
#define SURX_PORT GPIO3_BASE_ADDR
#define SURX_MASK (1<<7)
#define SURX_SFSP SFSP3_7

/*Buffer size*/
#define RX_BUFF_SIZE 16
#define TX_BUFF_SIZE 16


#endif /*__SUART_CFG_H*/
